Subject: bug#31981: Fix 'flymake-proc-legacy-flymake' temporary file deletion bug

From: Noam Postavsky <[email-masked]>
Date: Sat, 07 Sep 2019 17:05:12 -0400

tags 31981 fixed
close 31981 27.1
quit

Joel Rosdahl <[email-masked]> writes:

> On Thu, 29 Aug 2019 at 18:05, Noam Postavsky <[email-masked]> wrote:
>> A little awkward, but that's proably the best we can do without changing
>> the signature of cleanup-f (which I guess would be much more
>> troublesome).
>
> I agree. Alternative solutions welcome, of course.
>
> -- Joel

None seems forthcoming, so I've pushed your patch to master (I coalesced
your ChangeLog entries, by the way).

8d588f09e9 2019-09-07T16:51:24-04:00 "Fix flymake-proc temporary file deletion bug"
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=8d588f09e91e315c715cf824a9819a538a85cd9c